Logo

各操作系统的生命周期及对常用软件的版本支持

各操作系统的生命周期及对常用软件的版本支持

选择软件
选择操作系统
11 21H2 10 21H2 8.1 NT 6.3 8 NT 6.2 7 SP1 NT 6.1 7 NT 6.1 Vista SP2 NT 6.0 Vista NT 6.0 XP SP3 NT 5.1 / 5.2
.NET 6.0
.NET 5.0
.NET Core 3.1
.NET Core 3.0
.NET Core 2.2
.NET Core 2.1
.NET Core 2.0
.NET Core 1.1
.NET Core 1.0
.NET Framework 4.8
.NET Framework 4.7.2
.NET Framework 4.7.1
.NET Framework 4.7
.NET Framework 4.6.2
.NET Framework 4.6.1
.NET Framework 4.6
.NET Framework 4.5.2
.NET Framework 4.5.1
.NET Framework 4.5
.NET Framework 4
.NET Framework 3.5
.NET Framework 3.0
.NET Framework 2.0
颜色注:
捆绑安装
支持安装(官方声明)
支持安装(经测试)
不支持安装
不明确
注:就地更新的 .NET Framework 版本在非原生支持的 Windows 操作系统中提供基础版本支持,但不支持新特性。例如,目标框架为 .NET Framework 4.6 的应用程序如果仅使用 .NET Framework 4.0 的功能,那么能够运行在 Windows 7 等操作系统上,但若使用了 .NET Framework 4.6 的新特性,则会发生异常。若运行在 Windows 7 SP1,则需要安装 .NET Framework 4.6 框架才能完美支持。详情参:《.NET Framework 版本和依赖关系》